Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be available on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 1411970 - Monitor resolution not available
Summary: Monitor resolution not available
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: libdrm
Version: 27
Hardware: x86_64
OS: Linux
unspecified
low
Target Milestone: ---
Assignee: Adam Jackson
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-01-10 21:37 UTC by Jim Shepherd
Modified: 2018-11-30 22:19 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-11-30 22:19:09 UTC
Type: Bug


Attachments (Terms of Use)

Description Jim Shepherd 2017-01-10 21:37:03 UTC
Description of problem:
In a dual external monitor setup with two identical monitors, one monitor cannot be set to the highest resolution (3840x2160). This configuration used to work as expected until a few months ago (while running F24). This resolution is shown in both /sys/class/drm/*/edid files but not in the /sys/class/drm/*/modes file for the monitor in question.

Version-Release number of selected component (if applicable):
libdrm-2.4.74-1.fc25

How reproducible:
Always

Steps to Reproduce:
1. Attach monitor to HDMI port
2. cat /sys/class/drm/card0-HDMI-A-1/modes
3. 

Actual results:
/sys/class/drm/card0-HDMI-A-1/modes does not list 3840x2160 resolution

Expected results:
/sys/class/drm/card0-HDMI-A-1/modes does list 3840x2160 resolution

Additional info:
lspci|grep'VGA\|3D':
00:02.0 VGA compatible controller: Intel Corporation 4th Gen Core Processor Integrated Graphics Controller (rev 06)
02:00.0 3D controller: NVIDIA Corporation GK107GLM [Quadro K1100M] (rev a1)

edid-decode /sys/class/drm/card0-HDMI-A-1/edid:
Extracted contents:
header:          00 ff ff ff ff ff ff 00
serial number:   10 ac 9b 40 4c 31 33 32 04 18
version:         01 03
basic params:    80 35 1e 78 ea
chroma info:     1d f5 ae 4f 35 b3 25 0d 50 54
established:     a5 4b 00
standard:        81 00 b3 00 d1 00 71 4f a9 40 81 80 d1 c0 01 01
descriptor 1:    04 74 00 30 f2 70 5a 80 b0 58 8a 00 0f 28 21 00 00 1e
descriptor 2:    00 00 00 ff 00 36 58 35 35 43 34 31 4f 32 33 31 4c 0a
descriptor 3:    00 00 00 fc 00 44 45 4c 4c 20 55 50 32 34 31 34 51 0a
descriptor 4:    00 00 00 fd 00 1d 4b 1f 8c 1e 00 0a 20 20 20 20 20 20
extensions:      01
checksum:        72

Manufacturer: DEL Model 409b Serial Number 842215756
Made week 4 of 2014
EDID version: 1.3
Digital display
Maximum image size: 53 cm x 30 cm
Gamma: 2.20
DPMS levels: Standby Suspend Off
Supported color formats: RGB 4:4:4, YCrCb 4:2:2
First detailed timing is preferred timing
Established timings supported:
  720x400@70Hz
  640x480@60Hz
  640x480@75Hz
  800x600@60Hz
  800x600@75Hz
  1024x768@60Hz
  1024x768@75Hz
  1280x1024@75Hz
Standard timings supported:
  1280x800@60Hz
  1680x1050@60Hz
  1920x1200@60Hz
  1152x864@75Hz
  1600x1200@60Hz
  1280x1024@60Hz
  1920x1080@60Hz
Detailed mode: Clock 297.000 MHz, 527 mm x 296 mm
               3840 4016 4104 4400 hborder 0
               2160 2168 2178 2250 vborder 0
               +hsync +vsync 
Serial number: 6X55C41O231L
Monitor name: DELL
Monitor ranges (GTF): 29-75Hz V, 31-140kHz H, max dotclock 300MHz
Has 1 extension blocks
Checksum: 0x72 (valid)

CEA extension block
Extension version: 3
31 bytes of CEA data
  Video data block
    VIC 16 1920x1080@60Hz (native)
    VIC 05 1920x1080i@60Hz 
    VIC 04 1280x720@60Hz 
    VIC 03 720x480@60Hz 
    VIC 02 720x480@60Hz 
    VIC 07 1440x480i@60Hz 
    VIC 22 1440x576i@50Hz 
    VIC 01 640x480@60Hz 
    VIC 06 1440x480i@60Hz 
    VIC 17 720x576@50Hz 
    VIC 18 720x576@50Hz 
    VIC 21 1440x576i@50Hz 
    VIC 19 1280x720@50Hz 
    VIC 20 1920x1080i@50Hz 
    VIC 31 1920x1080@50Hz 
    VIC 32 1920x1080@24Hz 
  Vendor-specific data block, OUI 000c03 (HDMI)
    Source physical address 1.0.0.0
    DC_36bit
    DC_30bit
    DC_Y444
    Maximum TMDS clock: 300MHz
    Extended HDMI video details:
      HDMI VIC 2 3840x2160@24Hz
      HDMI VIC 1 3840x2160@25Hz
      HDMI VIC 0 3840x2160@30Hz
Underscans PC formats by default
Supports YCbCr 4:4:4
Supports YCbCr 4:2:2
1 native detailed modes
Detailed mode: Clock 300.000 MHz, 527 mm x 296 mm
               3840 4016 4104 4400 hborder 0
               2160 2168 2178 2250 vborder 0
               +hsync +vsync 
Detailed mode: Clock 148.500 MHz, 527 mm x 296 mm
               1920 2008 2052 2200 hborder 0
               1080 1082 1087 1125 vborder 0
               +hsync +vsync 
Detailed mode: Clock 74.250 MHz, 527 mm x 296 mm
               1920 2008 2052 2200 hborder 0
                540  542  547  562 vborder 0
               +hsync +vsync interlaced 
Detailed mode: Clock 74.250 MHz, 527 mm x 296 mm
               1280 1390 1430 1650 hborder 0
                720  725  730  750 vborder 0
               +hsync +vsync 
Detailed mode: Clock 27.000 MHz, 527 mm x 296 mm
                720  736  798  858 hborder 0
                480  489  495  525 vborder 0
               -hsync -vsync 
Checksum: 0xe6 (valid)

EDID block does NOT conform to EDID 1.3!
	Detailed block string not properly terminated

cat /sys/class/drm/card0-HDMI-A-1/modes:
1920x1200
1920x1080
1920x1080
1920x1080
1920x1080i
1920x1080i
1920x1080
1920x1080i
1920x1080
1920x1080
1600x1200
1680x1050
1280x1024
1280x1024
1280x800
1152x864
1280x720
1280x720
1280x720
1024x768
1024x768
800x600
800x600
720x576
720x576i
720x480
720x480
720x480i
720x480i
640x480
640x480
640x480
720x400

Comment 1 Fedora End Of Life 2017-11-16 19:54:37 UTC
This message is a reminder that Fedora 25 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 25. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '25'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 25 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

Comment 2 Ben Cotton 2018-11-27 14:52:13 UTC
This message is a reminder that Fedora 27 is nearing its end of life.
On 2018-Nov-30  Fedora will stop maintaining and issuing updates for
Fedora 27. It is Fedora's policy to close all bug reports from releases
that are no longer maintained. At that time this bug will be closed as
EOL if it remains open with a Fedora  'version' of '27'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 27 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 3 Ben Cotton 2018-11-30 22:19:09 UTC
Fedora 27 changed to end-of-life (EOL) status on 2018-11-30. Fedora 27 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.